### Method

# GimpUi IntComboBox append

since: 2.2

#### Declaration [src]

    void
    gimp_int_combo_box_append (
      GimpIntComboBox* combo_box,
      ...
    )

#### Description [src]

This function provides a convenient way to append items to a `GimpIntComboBox`. It appends a row to the `combo_box`‘s list store and calls `gtk_list_store_set()` for you.

The column number must be taken from the enum `GimpIntStoreColumns`.

Available since: 2.2

This method is not directly available to language bindings.

#### Parameters

`...`

  Type: ``

  Pairs of column number and value, terminated with -1.